Bug 243371 - devel/llvm-devel: broken packaging
Summary: devel/llvm-devel: broken packaging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Brooks Davis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-15 12:42 UTC by Piotr Kubaj
Modified: 2020-01-21 13:33 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (brooks)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2020-01-15 12:42:57 UTC
I'm getting the following error on powerpc64, both elfv1 and elfv2:
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: llvm-devel/lib/clang/%%LLVM_RELEASE%%/include/profile/InstrProfData.inc

I'm not sure whether this is powerpc64-specific or not.
Comment 1 commit-hook freebsd_committer 2020-01-19 13:56:40 UTC
A commit references this bug:

Author: brooks
Date: Sun Jan 19 13:55:39 UTC 2020
New revision: 523575
URL: https://svnweb.freebsd.org/changeset/ports/523575

Log:
  Update to a new snapshot (welcome to LLVM 11).

  Fix plist when COMPILER_RT is disabled.

  PR:		243371

Changes:
  head/devel/llvm-devel/Makefile
  head/devel/llvm-devel/Makefile.snapshot
  head/devel/llvm-devel/distinfo
  head/devel/llvm-devel/files/gen-Makefile.snapshot.sh
  head/devel/llvm-devel/files/ppc64-elfv2/
  head/devel/llvm-devel/pkg-plist
Comment 2 Piotr Kubaj freebsd_committer 2020-01-21 10:03:46 UTC
It also fails in 2020Q1 with 10.0.d20191218:
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/llvm-devel/work/stage/usr/local/llvm-devel/lib/clang/10.0.0/include/profile/InstrProfData.inc:No such file or directory

Can you MFH the fix?
Comment 3 commit-hook freebsd_committer 2020-01-21 10:54:06 UTC
A commit references this bug:

Author: brooks
Date: Tue Jan 21 10:53:52 UTC 2020
New revision: 523714
URL: https://svnweb.freebsd.org/changeset/ports/523714

Log:
  MFH: r523228 r523234 r523575

  Update to a new snapshot (welcome to LLVM 11).

  Fix plist when COMPILER_RT is disabled.

  PR:		243371

  Approved by:	portmgr (implicit: buildfix)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/devel/llvm-devel/Makefile
  branches/2020Q1/devel/llvm-devel/Makefile.snapshot
  branches/2020Q1/devel/llvm-devel/distinfo
  branches/2020Q1/devel/llvm-devel/files/gen-Makefile.snapshot.sh
  branches/2020Q1/devel/llvm-devel/files/ppc64-elfv2/
  branches/2020Q1/devel/llvm-devel/pkg-plist
Comment 4 Piotr Kubaj freebsd_committer 2020-01-21 13:33:38 UTC
Thanks!